using System;
using System.Collections.Generic;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            char ch = '*';
            bool gameLive = true;
            System.ConsoleKeyInfo key;
            int x = 0;
            int y = 0;
            int dx = 1;
            int dy = 0;
            int consoleWidthLimit = 79;
            int consoleHeightLimit = 24;
            int delayInMillisecs = 100;
            do
            {
                if (System.Console.KeyAvailable)
                {
                    key = System.Console.ReadKey(true);
                    switch (key.Key)
                    {
                        case System.ConsoleKey.UpArrow:
                            dx = 0;
                            dy = -1;
                            break;
                        case System.ConsoleKey.DownArrow:
                            dx = 0;
                            dy = 1;
                            break;
                        case System.ConsoleKey.LeftArrow:
                            dx = -1;
                            dy = 0;
                            break;
                        case System.ConsoleKey.RightArrow:
                            dx = 1;
                            dy = 0;
                            break;
                        case System.ConsoleKey.Escape:
                            gameLive = false;
                            break;
                    }
                }

                System.Console.SetCursorPosition(x, y);
                System.Console.Write(' ');
                x += dx;
                if (x > consoleWidthLimit) x = 0;
                if (x < 0) x = consoleWidthLimit;

                y += dy;
                if (y > consoleHeightLimit) y = 0;
                if (y < 0) y = consoleHeightLimit;

                System.Console.SetCursorPosition(x, y);
                System.Console.Write(ch);

                System.Threading.Thread.Sleep(delayInMillisecs);


            } while (gameLive);
        }
    }
}
