using System;
using System.Collections.Generic;
using System.Text;

namespace CustomExceptions
{
    public class PasswordException : System.Exception
    {
        public int ExceptionNumber;

        public PasswordException(int inExceptionNumber)
        {
            ExceptionNumber = inExceptionNumber;
        }
    }

    public class LoginController
    {
        public void CheckPassword(string username, string password)
        {
            if ((username != "Rob") || (password != "Secret"))
            {
                throw new PasswordException(1);
            }
        }
    }


    class Program
    {

        static void Main(string[] args)
        {
            LoginController login = new LoginController();

            Console.Write("Enter Username : ");
            string userNameString = Console.ReadLine();

            Console.Write("Enter password : ");
            string passwordString = Console.ReadLine();

            try
            {
                login.CheckPassword(userNameString, passwordString);
                Console.WriteLine("Login OK");
            }
            catch (PasswordException p)
            {
                Console.WriteLine ( "Password exception number : {0}", p.ExceptionNumber); 
            }
        }
    }
}
